org.apache.lucene.codecs.lucene3x

## Class Lucene3xSegmentInfoReader

- java.lang.Object
- - org.apache.lucene.codecs.SegmentInfoReader
  - - org.apache.lucene.codecs.lucene3x.Lucene3xSegmentInfoReader

- Deprecated.
  Only for reading existing 3.x indexes

      @Deprecated
      public class Lucene3xSegmentInfoReader
      extends SegmentInfoReader

  Lucene 3x implementation of `SegmentInfoReader`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene3xSegmentInfoReader()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SegmentInfo` | `read(Directory directory, String segmentName, IOContext context)` Deprecated. Read `SegmentInfo` data from a directory.
    `static void` | `readLegacyInfos(SegmentInfos infos, Directory directory, IndexInput input, int format)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene3xSegmentInfoReader

          public Lucene3xSegmentInfoReader()

      Deprecated.

  - ### Method Detail

    - #### readLegacyInfos

          public static void readLegacyInfos(SegmentInfos infos,
                             Directory directory,
                             IndexInput input,
                             int format)
                                      throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### read

          public SegmentInfo read(Directory directory,
                         String segmentName,
                         IOContext context)
                           throws IOException

      Deprecated.
      Description copied from class: `SegmentInfoReader`
      Read `SegmentInfo` data from a directory.
      Specified by:
        `read` in class `SegmentInfoReader`
      Parameters:
        `directory` - directory to read from
        `segmentName` - name of the segment to read
      Returns:
        infos instance to be populated with data
      Throws:
        `IOException` - If an I/O error occurs

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.